Name:           python-process-improve
Version:        0.9.865
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Designed Experiments; Latent Variables (PCA, PLS, multivariate methods with missing data); Process Monitoring; Batch data analysis.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/kgdunn/process_improve
Source:         %{pypi_source process_improve}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'process-improve' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-process-improve
Summary:        %{summary}

%description -n python3-process-improve %_description


%prep
%autosetup -p1 -n process_improve-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-process-improve -f %{pyproject_files}


%changelog
%autochangelog